PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Team

Note

In the Employment Hero UI, "Teams" are displayed as "Groups". The API continues to use "team" terminology in field names and endpoints for backward compatibility.

Returns an array of all teams. Every teams must be managed by one of your managed organisation.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/teams

Path Parameters

organisation_iduuidrequired

The ID of organisation which the all teams belong to

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an array of up to the limit of teams. Each entry in the array is a separate team object. If there are no more teams belonging to your organisation, the resulting array will be empty.

dataobject
itemsobject[]
iduuid

Unique identifier for the object.

namestring

The name of the team to retrieve

statusenum<string>

The status of your team

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/teams" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "143ed07a-e7d1-4c19-ade6-b0ffe9123d19",        "name": "Customer Success",        "status": "active"      },      {        "id": "36bd330e-3a6b-4539-8c86-a414fc3b485e",        "name": "Engineering",        "status": "active"      },      {        "id": "7a040b66-9bd7-47d4-b6e4-c68ed0931876",        "name": "Finance",        "status": "active"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 3,    "total_pages": 1  }}

Returns an array of employees associated to a specific team. Employees must be managed by your managed organisation.

Similar to Get Employees response.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/teams/:team_id/employees

Path Parameters

organisation_iduuidrequired

The ID of the organisation to get employees

team_iduuidrequired

The ID of the team to get employees

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an item array of up to limit employees. Each entry in the array is a separate employee object. If there are no more employees, the resulting array will be empty.

dataobject
itemsobject[]
iduuid

Unique identifier for the object.

account_emailstring

The account name of employee

titlestring

The title of employee

rolestring

The role of employee

first_namestring

The first name of employee

last_namestring

The last name of employee

middle_namestring

The middle name of employee

addressstring

The address of employee

avatar_urlstring

The avatar url of employee

known_asstring

The preferred name of the employee

job_titlestring

The job title of the employee

genderstring

The gender of the employee

countrystring

The country of the employee

date_of_birthdatetime

The date of birth of employee

marital_statusstring

The marital status of employee

personal_emailstring

The personal email of employee

personal_mobile_numberstring

The personal mobile number of employee

home_phonestring

The home phone of employee

employing_entitystring

The employing entity of employee

codestring

The code of employee

locationstring

The location of employee

company_emailstring

The company email of employee

company_mobilestring

The company mobile of employee

company_landlinestring

The company landline of employee

start_datedatetime

The start date of employee

termination_datedatetime

The termination day of employee

teamsobject[]

The teams of employee

Note

This field corresponds to 'Groups' in the Employment Hero UI.

primary_cost_centreobject

The primary cost centre of employee

secondary_cost_centresobject[]

The secondary cost centre of employee

primary_managerobject

The primary manager of employee

external_idstring

The external id of employee (ID of payroll system)

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/teams/:team_id/employees" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "0139ebb7-6f3e-4bc0-954e-9e50614fccd1",        "account_email": "daniel@thinkei.com",        "title": "Ms",        "role": "owner",        "first_name": "Daniel",        "last_name": "Tran",        "middle_name": "Tuan",        "address": "Test Street 184752, Apt 8B, Sydney, NSW, 2000, AU",        "avatar_url": "http://avatar.png",        "known_as": "Danny",        "job_title": "Grad Developer",        "gender": "Female",        "country": "AU",        "date_of_birth": "1995-02-13T00:00:00+00:00",        "marital_status": "Single",        "personal_email": "abc@thinkei.com",        "personal_mobile_number": "01285659993",        "home_phone": "02 9123 4567",        "employing_entity": "US",        "code": "EMP123",        "location": null,        "company_email": "abc@thinkei.com",        "company_mobile": "0412 345 678",        "company_landline": "02 8181 1234",        "start_date": "2017-03-01T00:00:00+00:00",        "termination_date": null,        "teams": [          {            "id": "95df8139-479f-432e-b8f9-922352123e4a",            "name": "Group 1"          },          {            "id": "95df8139-479f-432e-b8f9-112352123e4a",            "name": "Group 2"          }        ],        "primary_cost_centre": {          "id": "95df8139-479f-432e-b8f9-922352d2fe4a",          "name": "Employment Hero"        },        "secondary_cost_centres": [],        "primary_manager": {          "id": "4a728243-8930-4a93-9bd8-a6843e7b59ec",          "name": "Jessica"        },        "external_id": "external_id_123"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 1,    "total_pages": 1  }}